Bug 1680488 - dnf alias infinite recursion processing
Summary: dnf alias infinite recursion processing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Pavla Kratochvilova
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 07:42 UTC by Karel Srot
Modified: 2020-04-28 16:47 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.17-4.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-28 16:47:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1823 None None None 2020-04-28 16:47:54 UTC

Description Karel Srot 2019-02-25 07:42:34 UTC
Description of problem:

# dnf alias add install='install -y'
Aliases added: install

# dnf alias list
Aliases contain infinite recursion, alias install

1. dnf should print at least the actual definition so it is obvious to what the message above is referring

# dnf install foo
Aliases contain infinite recursion, using original arguments.

2. dnf alias man page should mention that in case of infinite recursion the original arguments (and not the alias) are used

Version-Release number of selected component (if applicable):
dnf-4.0.9.2-4.el8.noarch

Comment 7 Vratislav Hutsky 2020-01-08 09:02:16 UTC
Restoring previous qa_ack+ as agreed earlier.

Comment 11 errata-xmlrpc 2020-04-28 16:47:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1823


Note You need to log in before you can comment on or make changes to this bug.